#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		pkgname		distutils-extra
%define 	module		DistUtilsExtra
%define 	egg_name	python_distutils_extra
Summary:	Python 2 DistUtilsExtra module - i18n, documentation and icons support for distutils
Summary(pl.UTF-8):	Moduł Pythona 2 DistUtilsExtra - obsługa i18n, dokumentacji i ikon dla distutils
Name:		python-%{pkgname}
Version:	2.39
Release:	2
License:	GPL v2
Group:		Libraries/Python
Source0:	http://launchpad.net/python-distutils-extra/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	16e06db0ef73a35b4bff4b9eed5699b5
URL:		http://www.glatzor.de/projects/python-distutils-extra/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python-distutils-extra allows to easily integrate themable icons,
scrollkeeper based documentation and gettext based translations in
your Python install and build tools. It can be used with Python's
distutils or the enhanced setuptools.

%description -l pl.UTF-8
Ten pakiet pozwala łatwo zintegrować ikony z obsługą motywów,
dokumentacje opartą na scrollkeeperze i tłumaczenia oparte na
gettekście w tworzonych narzędziach do budowania i instalacji pakietów
pythonowych. Może być używany z pythonowymi distutils lub
rozszerzonymi setuptools.

%package -n python3-%{pkgname}
Summary:	Python 3 DistUtilsExtra module - i18n, documentation and icons support for distutils
Summary(pl.UTF-8):	Moduł Pythona 3 DistUtilsExtra - obsługa i18n, dokumentacji i ikon dla distutils
Group:		Libraries/Python

%description -n python3-%{pkgname}
Python-distutils-extra allows to easily integrate themable icons,
scrollkeeper based documentation and gettext based translations in
your Python install and build tools. It can be used with Python's
distutils or the enhanced setuptools.

%description -n python3-%{pkgname} -l pl.UTF-8
Ten pakiet pozwala łatwo zintegrować ikony z obsługą motywów,
dokumentacje opartą na scrollkeeperze i tłumaczenia oparte na
gettekście w tworzonych narzędziach do budowania i instalacji pakietów
pythonowych. Może być używany z pythonowymi distutils lub
rozszerzonymi setuptools.

%prep
%setup -q

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pkgname}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-distutils-extra.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c6313fb
- python 3.6
- release 2 (by relup.sh)

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> ec9e802
- better summaries, pl for python3-

* Tue Jun 28 2016 Elan Ruusamäe <glen@delfi.ee> aeb7cd4
- up to 2.39; build python3 package; build noarch

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 40bf793
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e88934f
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1bc8fa8
- automatic change: use py_build/py_install macros

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> b57aaf2
- updated to 2.38

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> aa825e0
- up to 2.37

* Sun Oct 30 2011 Paweł Gołaszewski <blues@pld-linux.org> 2a7c3ca
- 2.30 (new url)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 27f2995
- release 2

* Wed Apr 15 2009 Karol Krenski <charles@pld-linux.org> 0cb7a57
- BR: python-devel

* Mon Oct 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 5aab193
- pl, macros

* Sun Oct 19 2008 Szymon Siwek <sls@pld-linux.org> d12427a
- BR: python-setuptools

* Sat Oct 11 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 3b63fa0
- rel.1, STBR

* Thu May 22 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 8031193
- init

